For the complete documentation index, see llms.txt. This page is also available as Markdown.

Trigger

List all trigger endpoint

Get the detail of the trigger

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
triggerIdstringRequired

The ID of the trigger for which to fetch the information

Responses
200

OK

application/json
idstringRead-onlyRequired

ID of the the trigger

namestringRequired

The name of the trigger

descriptionstringOptional

The description of the trigger

createdAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been created.

changedAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been changed.

activeinteger · integerRead-onlyRequired

Status of the trigger

  • 1 the trigger is enabled
  • 0 the trigger is disabled
get/v3/trigger/{triggerId}
GET /v3/trigger/{triggerId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "description": "text",
    "conditions": [
      {
        "conditionId": 1,
        "conditionValues": [
          "text"
        ]
      }
    ],
    "rules": [
      {
        "ruleAction": 1,
        "ruleDataType": 1,
        "rule": {
          "operator": 1,
          "triggerWindow": 1,
          "threshold": 1
        }
      }
    ],
    "actions": [
      {
        "action": 1,
        "actionParameters": {
          "methodId": 1,
          "timeout": 1
        }
      }
    ],
    "createdAt": 1,
    "changedAt": 1,
    "active": 1
  }
]

Update the details of a trigger

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
triggerIdstringRequired

The ID of the trigger

Body
idstringRead-onlyRequired

ID of the the trigger

namestringRequired

The name of the trigger

descriptionstringOptional

The description of the trigger

createdAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been created.

changedAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been changed.

activeinteger · integerRead-onlyRequired

Status of the trigger

  • 1 the trigger is enabled
  • 0 the trigger is disabled
Responses
200

OK

application/json
idstringRead-onlyRequired

ID of the the trigger

namestringRequired

The name of the trigger

descriptionstringOptional

The description of the trigger

createdAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been created.

changedAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been changed.

activeinteger · integerRead-onlyRequired

Status of the trigger

  • 1 the trigger is enabled
  • 0 the trigger is disabled
put/v3/trigger/{triggerId}
PUT /v3/trigger/{triggerId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 265

{
  "name": "text",
  "description": "text",
  "conditions": [
    {
      "conditionId": 1,
      "conditionValues": [
        "text"
      ]
    }
  ],
  "rules": [
    {
      "ruleAction": 1,
      "ruleDataType": 1,
      "rule": {
        "operator": 1,
        "triggerWindow": 1,
        "threshold": 1
      }
    }
  ],
  "actions": [
    {
      "action": 1,
      "actionParameters": {
        "methodId": 1,
        "timeout": 1
      }
    }
  ]
}
[
  {
    "id": "text",
    "name": "text",
    "description": "text",
    "conditions": [
      {
        "conditionId": 1,
        "conditionValues": [
          "text"
        ]
      }
    ],
    "rules": [
      {
        "ruleAction": 1,
        "ruleDataType": 1,
        "rule": {
          "operator": 1,
          "triggerWindow": 1,
          "threshold": 1
        }
      }
    ],
    "actions": [
      {
        "action": 1,
        "actionParameters": {
          "methodId": 1,
          "timeout": 1
        }
      }
    ],
    "createdAt": 1,
    "changedAt": 1,
    "active": 1
  }
]

Delete a trigger

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
triggerIdstringRequired

The ID of the trigger

Responses
204

No Content

No content

delete/v3/trigger/{triggerId}
DELETE /v3/trigger/{triggerId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Get the list of all the triggers

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idstringRead-onlyRequired

ID of the the trigger

namestringRequired

The name of the trigger

descriptionstringOptional

The description of the trigger

createdAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been created.

changedAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been changed.

activeinteger · integerRead-onlyRequired

Status of the trigger

  • 1 the trigger is enabled
  • 0 the trigger is disabled
get/v3/trigger/
GET /v3/trigger/ HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "description": "text",
    "conditions": [
      {
        "conditionId": 1,
        "conditionValues": [
          "text"
        ]
      }
    ],
    "rules": [
      {
        "ruleAction": 1,
        "ruleDataType": 1,
        "rule": {
          "operator": 1,
          "triggerWindow": 1,
          "threshold": 1
        }
      }
    ],
    "actions": [
      {
        "action": 1,
        "actionParameters": {
          "methodId": 1,
          "timeout": 1
        }
      }
    ],
    "createdAt": 1,
    "changedAt": 1,
    "active": 1
  }
]

Get the summary of all the triggers, only id, name and description

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

ID of the type

namestringRequired

The name of the trigger

descriptionstringOptional

The description of the trigger

get/v3/trigger/summary
GET /v3/trigger/summary HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "name": "text",
    "description": "text"
  }
]

Create a trigger

post
Authorizations
PRIVATE-TOKENstringRequired
Body
idstringRead-onlyRequired

ID of the the trigger

namestringRequired

The name of the trigger

descriptionstringOptional

The description of the trigger

createdAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been created.

changedAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been changed.

activeinteger · integerRead-onlyRequired

Status of the trigger

  • 1 the trigger is enabled
  • 0 the trigger is disabled
Responses
200

OK

application/json
idstringRead-onlyRequired

ID of the the trigger

namestringRequired

The name of the trigger

descriptionstringOptional

The description of the trigger

createdAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been created.

changedAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been changed.

activeinteger · integerRead-onlyRequired

Status of the trigger

  • 1 the trigger is enabled
  • 0 the trigger is disabled
post/v3/trigger
POST /v3/trigger HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 265

{
  "name": "text",
  "description": "text",
  "conditions": [
    {
      "conditionId": 1,
      "conditionValues": [
        "text"
      ]
    }
  ],
  "rules": [
    {
      "ruleAction": 1,
      "ruleDataType": 1,
      "rule": {
        "operator": 1,
        "triggerWindow": 1,
        "threshold": 1
      }
    }
  ],
  "actions": [
    {
      "action": 1,
      "actionParameters": {
        "methodId": 1,
        "timeout": 1
      }
    }
  ]
}
[
  {
    "id": "text",
    "name": "text",
    "description": "text",
    "conditions": [
      {
        "conditionId": 1,
        "conditionValues": [
          "text"
        ]
      }
    ],
    "rules": [
      {
        "ruleAction": 1,
        "ruleDataType": 1,
        "rule": {
          "operator": 1,
          "triggerWindow": 1,
          "threshold": 1
        }
      }
    ],
    "actions": [
      {
        "action": 1,
        "actionParameters": {
          "methodId": 1,
          "timeout": 1
        }
      }
    ],
    "createdAt": 1,
    "changedAt": 1,
    "active": 1
  }
]

Enable a trigger

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
triggerIdstringRequired

The ID of the trigger

Responses
200

OK

application/json
idstringRead-onlyRequired

ID of the the trigger

namestringRequired

The name of the trigger

descriptionstringOptional

The description of the trigger

createdAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been created.

changedAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been changed.

activeinteger · integerRead-onlyRequired

Status of the trigger

  • 1 the trigger is enabled
  • 0 the trigger is disabled
put/v3/trigger/{triggerId}/enable
PUT /v3/trigger/{triggerId}/enable HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "description": "text",
    "conditions": [
      {
        "conditionId": 1,
        "conditionValues": [
          "text"
        ]
      }
    ],
    "rules": [
      {
        "ruleAction": 1,
        "ruleDataType": 1,
        "rule": {
          "operator": 1,
          "triggerWindow": 1,
          "threshold": 1
        }
      }
    ],
    "actions": [
      {
        "action": 1,
        "actionParameters": {
          "methodId": 1,
          "timeout": 1
        }
      }
    ],
    "createdAt": 1,
    "changedAt": 1,
    "active": 1
  }
]

Disable a trigger

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
triggerIdstringRequired

The ID of the trigger

Responses
200

OK

application/json
idstringRead-onlyRequired

ID of the the trigger

namestringRequired

The name of the trigger

descriptionstringOptional

The description of the trigger

createdAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been created.

changedAtinteger · integerRead-onlyRequired

The unix timestamp when the trigger has been changed.

activeinteger · integerRead-onlyRequired

Status of the trigger

  • 1 the trigger is enabled
  • 0 the trigger is disabled
put/v3/trigger/{triggerId}/disable
PUT /v3/trigger/{triggerId}/disable HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "description": "text",
    "conditions": [
      {
        "conditionId": 1,
        "conditionValues": [
          "text"
        ]
      }
    ],
    "rules": [
      {
        "ruleAction": 1,
        "ruleDataType": 1,
        "rule": {
          "operator": 1,
          "triggerWindow": 1,
          "threshold": 1
        }
      }
    ],
    "actions": [
      {
        "action": 1,
        "actionParameters": {
          "methodId": 1,
          "timeout": 1
        }
      }
    ],
    "createdAt": 1,
    "changedAt": 1,
    "active": 1
  }
]

Get list of rule action types

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

ID of the type

descriptionstringRead-onlyRequired

The description of the type

get/v3/trigger/type/ruleActions
GET /v3/trigger/type/ruleActions HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "description": "text"
  }
]

Get list of rule data types

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

ID of the type

descriptionstringRead-onlyRequired

The description of the type

get/v3/trigger/type/ruleDataTypes
GET /v3/trigger/type/ruleDataTypes HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "description": "text"
  }
]

Get list of actions types

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

ID of the type

descriptionstringRead-onlyRequired

The description of the type

get/v3/trigger/type/actions
GET /v3/trigger/type/actions HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "description": "text"
  }
]

Get list of operators

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

ID of the type

descriptionstringRead-onlyRequired

The description of the type

get/v3/trigger/type/operators
GET /v3/trigger/type/operators HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "description": "text"
  }
]

Get list of conditions

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

ID of the type

descriptionstringRead-onlyRequired

The description of the type

get/v3/trigger/type/conditions
GET /v3/trigger/type/conditions HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "description": "text"
  }
]

Get list of valueTypes

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

ID of the type

descriptionstringRead-onlyRequired

The description of the type

get/v3/trigger/type/valueTypes
GET /v3/trigger/type/valueTypes HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "description": "text"
  }
]

Last updated

Was this helpful?